org.deidentifier.arx.gui.view.impl.common

## Class ViewDataOutput

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ViewData
  - - org.deidentifier.arx.gui.view.impl.common.ViewDataOutput

All Implemented Interfaces:
  IView

    public class ViewDataOutput
    extends ViewData

A view on a `Data` object.

Author:
  Fabian Prasser, Johanna Eicher

### Constructor Summary

Constructors
Constructor and Description
`ViewDataOutput(org.eclipse.swt.widgets.Composite parent, Controller controller, java.lang.String helpid)` Creates a new data view.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.ViewData

`addScrollBarListener, addSelectionListener, createAdditionalItem, dispose, getSelectionIndex, getViewportLayer, reset, setSelectedItem, setSelectionIndex`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewDataOutput

    public ViewDataOutput(org.eclipse.swt.widgets.Composite parent,
                          Controller controller,
                          java.lang.String helpid)

Creates a new data view.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`
Overrides:
  `update` in class `ViewData`